> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranets-b2b/producers-summary

> Get B2B extranet producers summary

## OpenAPI

````json GET /v1/extranets-b2b/producers-summary
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranets-b2b/producers-summary": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetsB2bProducersSummaryGetResponse"
                }
              }
            }
          }
        },
        "description": "Get B2B extranet producers summary"
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetsB2bProducersSummaryGetResponse": {
        "type": "object",
        "properties": {
          "info": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bExtranetApplication"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bExtranetApplication": {
        "type": "object",
        "properties": {
          "createdAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "isPublisher": {
            "type": "boolean",
            "example": true
          },
          "lanSegment": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "matchedCustomers": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "serverIpAddress": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "totalCustomers": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "totalSites": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "type": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "updatedAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

